package com.mortals.xhx.module.matter.model;

import com.mortals.xhx.module.matter.model.vo.MatterFlowlimitVo;
/**
* 事项办理流程实体对象
*
* @author zxfei
* @date 2022-11-16
*/

public class MatterFlowlimitEntity extends MatterFlowlimitVo {
    private static final long serialVersionUID = 1L;

    /**
    * 事项基础表id
    */
    private Long matterId;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 办理流程
    */
    private String flowName;
    /**
    * 办理时长
    */
    private String flowTime;
    /**
    * 转外时限
    */
    private String flowLimit;
    /**
    * 办理流程说明
    */
    private String flowDesc;
    /**
    * 事项来源(0.政务网，1.自定义)
    */
    private Integer source;



    public MatterFlowlimitEntity(){}
    /**
    * 获取 事项基础表id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 事项基础表id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项编码
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编码
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 办理流程
    * @return String
    */
    public String getFlowName(){
        return flowName;
    }
    /**
    * 设置 办理流程
    * @param flowName
    */
    public void setFlowName(String flowName){
        this.flowName = flowName;
    }
    /**
    * 获取 办理时长
    * @return String
    */
    public String getFlowTime(){
        return flowTime;
    }
    /**
    * 设置 办理时长
    * @param flowTime
    */
    public void setFlowTime(String flowTime){
        this.flowTime = flowTime;
    }
    /**
    * 获取 转外时限
    * @return String
    */
    public String getFlowLimit(){
        return flowLimit;
    }
    /**
    * 设置 转外时限
    * @param flowLimit
    */
    public void setFlowLimit(String flowLimit){
        this.flowLimit = flowLimit;
    }
    /**
    * 获取 办理流程说明
    * @return String
    */
    public String getFlowDesc(){
        return flowDesc;
    }
    /**
    * 设置 办理流程说明
    * @param flowDesc
    */
    public void setFlowDesc(String flowDesc){
        this.flowDesc = flowDesc;
    }
    /**
    * 获取 事项来源(0.政务网，1.自定义)
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 事项来源(0.政务网，1.自定义)
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterFlowlimitEntity) {
            MatterFlowlimitEntity tmp = (MatterFlowlimitEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",flowName:").append(getFlowName());
        sb.append(",flowTime:").append(getFlowTime());
        sb.append(",flowLimit:").append(getFlowLimit());
        sb.append(",flowDesc:").append(getFlowDesc());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

            this.matterId = 0L;

            this.matterCode = "";

            this.matterName = "";

            this.flowName = "";

            this.flowTime = "";

            this.flowLimit = "";

            this.flowDesc = "";

            this.source = 0;
    }
}